// Shader taken from: http://webglsamples.googlecode.com/hg/electricflower/electricflower.html

#ifdef GL_ES
precision mediump float;
#endif

uniform sampler2D u_texture;
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

const vec3 iHighLighPus = vec3(0.05, 0.05, 0.05);

void main() 
{
	vec4 col = texture2D(u_texture, v_texCoord);
	float x = v_texCoord.x;
	float y = v_texCoord.y;
	if(x>0.3 && x <1.0 && y> 0.3 && y<1.0)
	{
		gl_FragColor = col;
		return;
	}
	if(pow(col.a, 3.0) < 0.01)
	{
		gl_FragColor = col;
		return;
	}
	else
	{
		col.rgb += iHighLighPus;
		gl_FragColor = vec4(col.r, col.g, col.b, col.a);
		return;
	}
}

